@if "%debug%"=="" echo off
rem -------------------------------------------------------------
rem  %snudrive%\usr\lib\snuupm\burst.bat
rem
rem	BURST-MAIL
rem  Store the current directory in the environment variable "snu_cd"
rem  Store the current drive in the environment variable "snu_d".
rem  Based on Timo Salmi's tsbat40 collection (ts@uwasa.fi)
rem
rem  Creates/destroys a file DIRECTOR.BAT or REPERTOI.BAT or
rem  (whatever.BAT, depending on the DOS language set) in the current
rem  directory, and GO.BAT in the %TMP% directory.
rem -------------------------------------------------------------
echo BURST - Moves mail from UUPC into PMAIL

rem -------------------------------------------------------------
rem  Preserve user's setting of DIRCMD, in case of pauses, sorts,...
rem -------------------------------------------------------------
set snu_dir=%dircmd%
set dircmd=

rem -------------------------------------------------------------
rem  Watch out for the French DOS - the DIR command produces the
rem  key line "Repertoire" as opposed to the English "Directory".
rem  Find out what this key line has, and store that in the
rem  environment variable snu_dirrep.
rem -------------------------------------------------------------

dir | find ":\" | %sndrive%\usr\lib\snuupm\askenv /b
echo @echo off>snu_cmd.bat
echo set snu_dirrep=%%1>>snu_cmd.bat
call snu_cmd %askenv%
del snu_cmd.bat
set askenv=

rem -------------------------------------------------------------
rem  Find the current directory, store in %snu_cd%
rem  Make a file DIRECTOR.BAT or REPERTOI.BAT in the current directory
rem  DIRECTOR.BAT/REPERTOI.BAT contains the line
rem		set snu_cd=%2
rem  So, when using "CD %SNU_CD%", we go back to the current directory
rem  (if we are on the right disk drive.... see how %snu_d% gets
rem  set up, below).
rem -------------------------------------------------------------
copy %sndrive%\usr\lib\snuupm\utl\direct1.bat %snu_dirrep%.bat > nul
rem -------------------------------------------------------------
rem  Make a file GO.BAT in the %TMP% directory. This will call
rem  DIRECTOR.BAT or REPERTOI.BAT.
rem  GO.BAT contains the line
rem		Directory of C:\JUNK
rem  or
rem		Repertoire de C:\JUNK
rem  This executes DIRECTOR.BAT (or REPERTOI.BAT), so does a
rem 		set %snu_cd%=C:\JUNK
rem -------------------------------------------------------------
dir | find ":\" >  %TMP%\go.bat
call %TMP%\go.bat
rem -------------------------------------------------------------
rem  Remove the two .BAT files.
rem -------------------------------------------------------------
if exist %snu_dirrep%.bat del %snu_dirrep%.bat
if exist %TMP%\go.bat del %TMP%\go.bat

rem -------------------------------------------------------------
rem  Find the current drive, store in %snu_d%
rem  GO.BAT contains the line
rem		Directory of C:\JUNK
rem  DIRECTOR.BAT will contain:-
rem		if exist %tmp%\junk del %tmp%\junk
rem		for %%d in (/%2) do echo %%d: >> %tmp%\junk
rem  JUNK contains the lines
rem		C: 
rem		:\JUNK: 
rem -------------------------------------------------------------
copy %sndrive%\usr\lib\snuupm\utl\direct2.bat %snu_dirrep%.bat > nul
dir | find ":\" > %tmp%\go.bat
call %tmp%\go.bat
rem -------------------------------------------------------------
rem  Read the first line of JUNK into the e.v. SNU_D.
rem  We thus get the current disk drive, so executing %SNU_D% as
rem  a command will get us back to the current disk drive (but not
rem  necessarily the current directory - see %snu_cd% above).
rem -------------------------------------------------------------
%sndrive%\usr\lib\snuupm\askenv /b < %tmp%\junk > nul
set snu_d=%askenv%
set askenv=
if exist %snu_dirrep%.bat del %snu_dirrep%.bat
if exist %TMP%\go.bat del %TMP%\go.bat
if exist %TMP%\junk del %TMP%\junk

rem -------------------------------------------------------------
rem  Move the mail from UUPC into PMAIL
rem  Beware of the case where %sndrive% is a path, not simply a drive.
rem -------------------------------------------------------------
if exist %tmp%\junk del %tmp%\junk
for %%d in (/%sndrive%) do echo %%d: >> %tmp%\junk
%sndrive%\usr\lib\snuupm\askenv /b < %tmp%\junk > nul
set snu_d2=%askenv%
set askenv=
%snu_d2%
if exist %tmp%\junk del %tmp%\junk
set snu_d2=

cd %sndrive%\usr\spool\mail
for %%u in (*.*) do %sndrive%\usr\lib\snuupm\uu2pm -d %sndrive%\usr\spool\mail\%%u %sndrive%\usr\%%u\mail\

rem -------------------------------------------------------------
%snu_d%
set snu_d=
cd %snu_cd%
set snu_cd=
set dircmd=%snu_dir%
set snu_dirrep=
set snu_dir=

rem -------------------------------------------------------------
rem  $Id: burst.bat 1.1 1995/04/30 19:36:13 mlawrie Exp $
rem
rem  $Log: burst.bat $
rem  Revision 1.1  1995/04/30 19:36:13  mlawrie
rem  Initial revision
rem
rem -------------------------------------------------------------
rem ----ends-----------------------------------------------------
