@echo off
rem -----------------------------------------------------
rem	waitsec.bat - Wait for a second to elapse.
rem	Author. Mike Lawrie (mlawrie@apies.frd.ac.za) 12 April 1995
rem
rem	NOTE:	This program works on the English/American DOS. It
rem		relies on the TIME command having the keyword
rem		"Current". This keyword is used in the name of
rem		a .BAT file. If your DOS supports other languages,
rem		then you will have to alter the FIND text, and alter
rem		the name of the .bat file.
rem -----------------------------------------------------

rem -----------------------------------------------------
rem	Create %tmp%\snu_ws1.bat file to assist with the
rem	splitting of a string.
rem
rem	SNU_WS1.BAT:
rem		if not "%snufirst%"=="y" goto second
rem		set snuhead=%1
rem		set snufirst=
rem		goto end
rem		:second
rem		set snutail=%1
rem		:end
rem -----------------------------------------------------
echo if not "%%snufirst%%"=="y" goto second> %tmp%\snu_ws1.bat
echo set snuhead=%%1>> %tmp%\snu_ws1.bat
echo set snufirst=>> %tmp%\snu_ws1.bat
echo goto end>> %tmp%\snu_ws1.bat
echo :second>> %tmp%\snu_ws1.bat
echo set snutail=%%1>> %tmp%\snu_ws1.bat
echo :end>> %tmp%\snu_ws1.bat
if not "%debug%"=="" echo.
if not "%debug%"=="" echo Contents of %tmp%\snu_ws1.bat:-
if not "%debug%"=="" echo -----------
if not "%debug%"=="" type %tmp%\snu_ws1.bat
if not "%debug%"=="" echo.
if not "%debug%"=="" pause>nul


rem -----------------------------------------------------
rem	Get the time into the file %tmp%\SNU_WS.$$$
rem
rem		Current time is 10:16:54.72p
rem -----------------------------------------------------
echo.| time | find "Current" > %tmp%\snu_ws.$$$
if not "%debug%"=="" echo Contents of %tmp%\snu_ws.$$$:-
if not "%debug%"=="" echo -----------
if not "%debug%"=="" type %tmp%\snu_ws.$$$
if not "%debug%"=="" echo.
if not "%debug%"=="" pause>nul

rem -----------------------------------------------------
rem	Create the file %tmp%\current.bat:-
rem
rem	CURRENT.BAT:
rem		set snutime1=%3
rem -----------------------------------------------------
echo set snutime1=%%3>%tmp%\current.bat
if not "%debug%"=="" echo Contents of %tmp%\current.bat
if not "%debug%"=="" echo -----------
if not "%debug%"=="" type %tmp%\current.bat
if not "%debug%"=="" echo.
if not "%debug%"=="" pause>nul

rem -----------------------------------------------------
rem	Get the time into environment variable SNUTIME1
rem -----------------------------------------------------
askenv /b< %tmp%\snu_ws.$$$>nul
if not "%debug%"=="" echo COMMAND: call %tmp%\%askenv%
call %tmp%\%askenv%
set askenv=
if not "%debug%"=="" echo SNUTIME1=%snutime1%
if not "%debug%"=="" pause>nul

rem -----------------------------------------------------
rem	The time when this WAITSEC.BAT file is invoked is in SNUTIME1.
rem	Loop while looking for the "." (put there by DOS), and extract
rem	the character immediately preceding the "."
rem -----------------------------------------------------
set snuone=
:loop1
set snufirst=y
set snusecs1=%snuone%
for %%i in (/%snutime1%) do call %tmp%\snu_ws1.bat %%i
set snuone=%snuhead%
set snutime1=%snutail%
if not "%debug%"=="" echo (%snuone%) (%snutime1%)
if not "%snuone%"=="." goto loop1
if not "%debug%"=="" echo secs1=(%snusecs1%)

rem -----------------------------------------------------
rem	Get the current time, to compare with the invocation time
rem -----------------------------------------------------
:loop
if not "%debug%"=="" echo Getting current time
echo.| time | find "Current" > %tmp%\snu_ws.$$$
if not "%debug%"=="" echo Contents of %tmp%\snu_ws.$$$:-
if not "%debug%"=="" echo -----------
if not "%debug%"=="" type %tmp%\snu_ws.$$$
if not "%debug%"=="" echo.
if not "%debug%"=="" pause>nul

askenv /b< %tmp%\snu_ws.$$$>nul
if not "%debug%"=="" echo COMMAND: call %tmp%\%askenv%
call %tmp%\%askenv%
set askenv=
if not "%debug%"=="" echo SNUTIME1=%snutime1%
if not "%debug%"=="" pause>nul

rem -----------------------------------------------------
rem	Loop until finding a "." in the result of the
rem	DOS "time" command, retain the character immediately 
rem	preceding that "."
rem -----------------------------------------------------
set snuone=
:loop2
set snufirst=y
set snusecs2=%snuone%
for %%i in (/%snutime1%) do call %tmp%\snu_ws1.bat %%i
set snuone=%snuhead%
set snutime1=%snutail%
if not "%debug%"=="" echo (%snuone%) (%snutime1%)
if not "%snuone%"=="." goto loop2
if not "%debug%"=="" echo (%snusecs2%)

rem -----------------------------------------------------
rem	If the seconds have not changed, loop back to get
rem	the current time.
rem -----------------------------------------------------
if "%snusecs1%"=="%snusecs2%" goto loop
if not "%debug%"=="" echo (%snusecs1%) (%snusecs2%)

rem -----------------------------------------------------
rem	Tidy up
rem -----------------------------------------------------
if exist %tmp%\snu_ws1.bat del %tmp%\snu_ws1.bat
if exist %tmp%\snu_ws.$$$ del %tmp%\snu_ws.$$$
if exist %tmp%\current.bat del %tmp%\current.bat
set snufirst=
set snuhead=
set snutail=
set snutime1=
set snuone=
set snusecs1=
set snusecs2=
rem -----------------------------------------------------
rem  $Id: waitsec.bat 1.1 1995/04/30 20:37:54 mlawrie Exp $
rem
rem  $Log: waitsec.bat $
rem  Revision 1.1  1995/04/30 20:37:54  mlawrie
rem  Initial revision
rem
rem -----------------------------------------------------
rem --------ends-----------------------------------------
